# Searches for speakers using predefined parameters

Searches for speakers using predefined parameters

Endpoint: POST /speakers/{tenantId}/search
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Query parameters:

  - `exclusiveStartKey` (string)
    The start key for the search, for paging support

  - `fieldsToReturn` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

## Request body:

  - `application/json` (unknown)
    The speaker that you would like to be saved.

## Request fields (application/json):

  - `bio` (string)

  - `city` (string)
    The member city

  - `country` (string)
    The member country

  - `email_address` (string)
    The member's email address

  - `event_id` (string, required)

  - `featured` (array)

  - `first_name` (string)
    The member's first name

  - `ids` (array)
    IDs to search

  - `job_title` (string)
    The member job title

  - `last_name` (string)
    The member's last name

  - `name` (string, required)
    The member's name

  - `organization_id` (array)

  - `organization_name` (string)

  - `state` (string)
    The state

## Response 200:

  - `200` (unknown)
    The speaker search was saved successfully.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.bio` (string)
    The speaker bio

  - `Items.city` (string)
    The member city

  - `Items.contact_id` (string, required)
    The contact

  - `Items.country` (string)
    The member country

  - `Items.display_order` (string)
    Display order

  - `Items.email_address` (string)
    The member's email address

  - `Items.event_id` (string, required)
    The event

  - `Items.featured` (boolean)
    Whether or not this is a featured speaker

  - `Items.first_name` (string)
    The member's first name

  - `Items.id` (string)
    The unique, string identifier of this speaker profile

  - `Items.job_title` (string)
    The member job title

  - `Items.last_name` (string)
    The member's last name

  - `Items.name` (string, required)
    The member's name

  - `Items.organization_id` (string)
    The organization id

  - `Items.organization_name` (string)
    The organization name

  - `Items.photo_uri` (string)
    The speaker photo

  - `Items.state` (string)
    The state

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The speaker you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 405:

  - `405` (unknown)
    The request method is not allowed.

## Response 405 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The speaker could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add speaker based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

